Skip to main content
POST
/
oauth
/
v1
/
token
Refresh an access token
curl --request POST \
  --url https://api.hubapi.com/oauth/v1/token \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data 'client_id=<string>' \
  --data 'client_secret=<string>' \
  --data 'code=<string>' \
  --data 'code_verifier=<string>' \
  --data grant_type=authorization_code \
  --data 'redirect_uri=<string>' \
  --data 'refresh_token=<string>' \
  --data 'scope=<string>'
{
  "token_use": "access_token",
  "token_type": "<string>",
  "refresh_token": "<string>",
  "access_token": "<string>",
  "expires_in": 123,
  "id_token": "<string>",
  "hub_id": 123,
  "scopes": [
    "<string>"
  ],
  "user_id": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Query Parameters

client_secret
string
refresh_token
string

Body

application/x-www-form-urlencoded
client_id
string
client_secret
string
code
string
code_verifier
string
grant_type
enum<string>
Available options:
authorization_code,
client_credentials,
refresh_token
redirect_uri
string
refresh_token
string
scope
string

Response

successful operation

token_use
enum<string>
default:access_token
required
Available options:
access_token
token_type
string
required
refresh_token
string
required
access_token
string
required
expires_in
integer<int64>
required
id_token
string
hub_id
integer<int32>
scopes
string[]
user_id
integer<int32>
Last modified on May 15, 2026